Skip to main content
POST

JSON Ledger API

Submits a single composite command, waits for its result, and returns the transaction

OpenAPISince 3.4Changed 3.5
Submits a single composite command, waits for its result, and returns the transaction. Propagates the gRPC error of failed submissions including Daml interpretation errors.

Protocol Details

Inputs

Request body

application/json
object
required
OpenAPI type: JsCommands.A composite command that groups multiple commands together.
object
OpenAPI type: TransactionFormat.A format that specifies what events to include in Daml transactions and what data to compute and include for them.

Outputs

200

application/json
JsTransaction
required
Filtered view of an on-ledger transaction’s create and archive events.

400

text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Changed3.5

The POST /v2/commands/submit-and-wait-for-transaction operation changed in this snapshot.

Introduced3.4